PoliceEstebi PoliceEstebi - 4 months ago 21
Android Question

How to import a .aar file into Android Studio 1.1.0 and use it in my code

I have read a lot answers related to this topic, but none of them have worked to solve my problem, so need help with this:

I need to import a .aar file into a project created with Android Studio 1.1.0, I have imported it using the "New Module" option and actually I don't receive any error, I can build the application and run it, but when I try to use a class from this .aar file Android Studio doesn´t find the reference to it, let's say it can´t recognize the package that I want to include in my code.

You are maybe thinking that I must add the dependency, I have already done that, It seems to not work.

So someone could tell me which is the correct way to import and use a .aar file in Android Studio 1.1.0

Answer

After reading a lot of answers on Stackoverflow, I found the solution for my problem, I want you to know which were the steps I followed in order to reproduce it:

  1. Add a .aar file in my libs folder.
  2. Use "New Module" option under File menu.
  3. Import the .aar file.
  4. Build gradle and compile the project.

When I tried to use the new module in my app, It didn't recognize any class inside the new module.

The problem is related to the version of Gradle, I was using 1.1.0 and there is a bug in this version, so my suggestion is to change the version to 1.0.1, there is an Issue already open in order to fix this problem https://code.google.com/p/android/issues/detail?id=162634

You should change the version in the build.gradle file located in the root of your project.

buildscript {
repositories {
    jcenter()
}
dependencies {

    //classpath 'com.android.tools.build:gradle:1.1.0'
    classpath 'com.android.tools.build:gradle:1.0.1'

    // NOTE: Do not place your application dependencies here; they belong
    // in the individual module build.gradle files
}

}

You can find additional information about this problem here https://groups.google.com/forum/#!topic/adt-dev/1Ho_c8dALQQ

I guess in version 1.2.0 this problem will be solved.